Package com.collibra.dgc.importer.core.api.request

# Class SynchronizationBatchRequest

Object
BaseImportRequest
FileImportRequest
SynchronizationBatchRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class SynchronizationBatchRequest extends FileImportRequest
Deprecated.
This class will be removed in the future. Please, use `SynchronizationBatchJsonInJobRequest`.
The request defining synchronization call properties.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SynchronizationBatchRequest.Builder<T extends SynchronizationBatchRequest,B extends SynchronizationBatchRequest.Builder<T,B>>`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchronizationBatchRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SynchronizationBatchRequest.Builder<? extends SynchronizationBatchRequest,?>`
  `builder()`
  Deprecated.
  `String`
  `getSynchronizationId()`
  Deprecated.
  Returns the synchronization id used to distinguish different synchronizations.

  ### Methods inherited from class FileImportRequest

  `getFile, getFileId, getFileName, setFile, setFileId, setFileName`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, isSendNotification`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynchronizationBatchRequest

    public SynchronizationBatchRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static SynchronizationBatchRequest.Builder<? extends SynchronizationBatchRequest,?> builder()
    Deprecated.

  - ### getSynchronizationId

    public String getSynchronizationId()
    Deprecated.
    Returns the synchronization id used to distinguish different synchronizations.
    Returns:
      the synchronization id